# Set this to the location of your extracted Riptide distribution
export RIPTIDE_HOME=/homes/aklammer/riptide-dist

# need python in your path 
export PYTHONLOC=/usr/nikola/bin

# necessary environment variables
export RIPTIDE_CPP=$RIPTIDE_HOME/cpp


export RIPTIDE_PYTHON=$RIPTIDE_HOME/python
export PATH=$RIPTIDE_CPP:$RIPTIDE_PYTHON:$PYTHONLOC:/bin/
# :$PATH
export PYTHONPATH=$RIPTIDE_PYTHON
# :$PATH

# inputs
export SUID=5453,dummy,2 
export SUIDS_INPUT=test.suids
export MS2_INPUT=`pwd`/test.ms2
export FASTA_INPUT=E_coli_contam.fasta


# prefers local file
crux-create-index $FASTA_INPUT

# prefers absolute paths
python $RIPTIDE_PYTHON/testSpectraMerge.py \
  $SUIDS_INPUT \
  $MS2_INPUT \
  `pwd`/$FASTA_INPUT \
  nocovar
# python $RIPTIDE_PYTHON/testSpectrumMerge.py \
#  $SUID $MS2_INPUT `pwd`/$FASTA_INPUT nocovar ; 
