import sys
# import serializeSvmModelSelect
global LABELLED
LABELLED = True
def onlyPositive(file):
  fhIn = open(file)
  fullFileName = file + ".positive"
  fhOut = open(fullFileName, "w")
  # FIRST = True
  for line in fhIn:
    line = line.rstrip('\n')
    fields = line.split(',')
    lastFields = fields[-4:]
    if LABELLED == True:
      firstFields  = fields[0:2]
      lorFields = fields[2:-4]
    else:
      firstFields  = fields[0:1]
      lorFields = fields[1:-4]
    #if FIRST == True:
    #  # print lorFields
    #  FIRST = False
    posFields = []
    for idx in range(len(lorFields)):
      if (idx % 3) == 1: posFields.append(lorFields[idx])
    outFields = firstFields + posFields + lastFields
    fhOut.write(','.join(outFields) + "\n")

  fhIn.close()
  fhOut.close()
  return fullFileName

# TODO fix merge for NONLABELLED
def merge(pair, single, outFile="foo"):
  pairFh   = open(pair)
  pairDict = {}
  for line in pairFh:
    line = line.rstrip('\n')
    fields = line.split(',')
    key = fields[0]
    if LABELLED == True:
      pairDict[key] = fields[2:]
    else:
      pairDict[key] = fields[1:]
  pairFh.close()

  singleFh = open(single)
  singleDict = {}
  for line in singleFh:
    line = line.rstrip('\n')
    fields = line.split(',')
    key = fields[0]
    singleDict[key] = fields[1:-4]
  singleFh.close()
  
  outFh = open(outFile, "w")
  for key in singleDict.keys():
    if not pairDict.has_key(key): 
      print >>sys.stderr, "Skipping %s" % key 
      continue
    fields  = [ key ] + singleDict[key] + pairDict[key]
    line = ','.join(fields) + "\n"
    outFh.write(line)
  outFh.close()
  return outFile


if __name__=='__main__':
  pass
#  pair   = onlyPositive("m2D,fullcovar-m2D.svminput")
#  serializeSvmModelSelect.main(train=pair, prefix=pair)

#  single = onlyPositive("singleIon-a,large.svminput")
#  serializeSvmModelSelect.main(train=single, prefix=single)

#  pair = "m2D,fullcovar-m2D.svminput.positive"
#  single = "singleIon-a,large.svminput.positive"
#  merged = merge(pair, single, "merged.svminput")
#  serializeSvmModelSelect.main(train=merged, prefix=merged)
#  LABELLED = True
  # pair = "m2D,fullcovar-m2D.svminput"
  # single = "singleIon-a,large.svminput"
  # merged = merge(pair, single, "merged-all.svminput")
#  merged = "merged-all.svminput"
#  serializeSvmModelSelect.main(train=merged, prefix=merged)
