#!/usr/bin/python
#$Revision: 1.3 $
import getopt,sys,re,pickle
from Match import *
from MatchCollection import *


#----
# Main
#----
if __name__ == '__main__':
	if len(sys.argv) < 2:
		print "Usage: %s <sqt-filename> ... <sqt-filename-n>" % (sys.argv[0])
		sys.exit(1)

	LARGE = 1000000
	matchCollColl = []
	for idx in range(len(sys.argv)-1):
		argv_idx = idx + 1
		s = SqtMatchCollection()
		s.parseFromFilename(sys.argv[argv_idx])
		matchCollColl.append(s)

	new = SqtMatchCollection()
	new["headerLines"] = matchCollColl[0]["headerLines"]
	for idx in range(len(matchCollColl)):
		allMatches = matchCollColl[idx].allMatches()
		for m_idx in range(len(allMatches)):
			m = allMatches[m_idx]
			m["firstScan"] = str(int(m["firstScan"]) +  LARGE * idx)
			new.appendMatch(m)

	pickle.dump(new, sys.stdout)


