#!/usr/bin/python
# $Revision: 1.1 $
import getopt,sys,re,copy,os

if len(sys.argv) < 3:
	print >>sys.stderr, "Usage: %s <fasta-file> <lutefisk-file>" % (sys.argv[0])
	sys.exit(1)


def seq_in_db(fasta_string, peptide):
	if fasta_string.find(peptide) > -1:
		return 1
	else:
		return 0

fasta_file = open(sys.argv[1])
fasta_string = ""
fasta_lines = []
for line in fasta_file:
	line.rstrip('\n')
	if line[0] == '>':
		fasta_lines.append(',')
	else:
		fasta_lines.append(line)
fasta_string = ''.join(fasta_lines)

file = open(sys.argv[2])
for line in file:
	line = line.rstrip('\n')
	fields = line.split('\t')
	if seq_in_db(fasta_string, fields[3]):
		fields[2] = "normal"
	else:
		fields[2] = "rand"
	print '\t'.join(map(str,fields))
