import os, sys
import cPickle
import Spectrum
from Dataset import *


#---
# Begin main
#---
if __name__ == '__main__':
  if len(sys.argv) < 2:
    print >>sys.stderr, "Usage: %s <output-prefix> <*.psminfocoll>" % sys.argv[0]
    sys.exit(1)

  outputPrefix = sys.argv[1]
  newColl = PsmInfoCollection()
  #------------------
  for psmInfoFile in sys.argv[2:]:
    prefix = os.path.basename(psmInfoFile).split('.')[0]
    psmInfoColl = cPickle.load(open(psmInfoFile))
    for info in psmInfoColl.infos: newColl.addPsmInfo(info)

  cPickle.dump(newColl, open(outputPrefix + ".psminfocoll", "w"))
