#!/usr/bin/python
import getopt, sys, re
from cPickle import *
from MatchCollection import *
from SpectrumCollection import *
import Mass

#--------------------------
if __name__ == '__main__':
  if len(sys.argv) < 3:
    print "Usage: %s <sqt-filename> <ms2-filename> <output-psm>" % (sys.argv[0])
    sys.exit(1)

  print >>sys.stderr, "Parsing sqt"
  sqt = SqtMatchCollection(saveSpace=True)
  sqt.parseFromFilename(sys.argv[1])
  sqt.allMatches()
  # print >>sys.stderr, "Parsing ms2"
  ms2FileName = sys.argv[2]
  # ms2 = Ms2SpectrumCollection(sys.argv[2], parsePeaks=False, saveSpace=False)
  # for spectrum in ms2.allSpectra():
  #   del spectrum["peaks"]
  #   del spectrum["peakLines"]
  sqt.addSpectrumInfo(ms2FileName)
  sqt["file"] = None
  print >>sys.stderr, "Outputting pickledpsm"
  file = open(sys.argv[3], 'w')
  dump(sqt, file)
  file.close()
