import SpectrumCollection
import sys

if len(sys.argv) < 2:
  print "Usage: %s <ms2-prefix>\n" % sys.argv[0]
  sys.exit(1)
prefix = sys.argv[1]
ms2 = "%s.ms2" % prefix
suidOut = "%s.suids" % prefix

fh = open(ms2)
fhOut = open(suidOut, "w")
currentScan = None
for line in fh:
  line = line.rstrip("\n")
  if line.startswith("S"):
    currentScan = int(line.split()[1])
  elif line.startswith("Z"):
    charge = int(line.split()[1])
    fhOut.write("%i,%s,%i\n" % (currentScan, prefix, charge))
  else:
    continue
fhOut.close()
