#!/usr/bin/python
# $Revision: 1.4 $
import getopt,sys,re,copy,os,pickle
from Spectrum import *
from MatchCollection import *
import copy

if __name__ == '__main__':
  if len(sys.argv) < 2:
    print >>sys.stderr, "Usage: %s <list-of-positives> <psm-output> <dta-spectrum-directory-1> ...  <dta-spectrum-directory-n>" % (sys.argv[0])
    sys.exit(1)
  
  psm = PsmMatchCollection(sys.argv[1], type = "omics")
  for dtaFile in sys.argv[3:len(sys.argv)]:
    print >>sys.stderr, "Parsing directory %s" % dtaFile
    specColl = DtaSpectrumCollection(dtaFile, parsePeaks=True)
    psm.addSpectrumInfo(specColl)
  file = open(sys.argv[2], 'w')    
  pickle.dump(psm, file)
  file.close()
      
