#!/usr/bin/python
# $Revision: 1.6 $
import getopt,sys,re,copy,os

if len(sys.argv) < 2:
  print >>sys.stderr, "Usage: %s <tandem-xml-file>" % (sys.argv[0])
  sys.exit(1)

tandem_filename = sys.argv[1]
file = open(tandem_filename, 'r')
id = z = peptide = expect = db = "" 
prefix, suffix = tandem_filename.split(',')[0:2]
prefix = prefix.replace("-ms2","")
suffixSplit = suffix.split('-')
db = "-".join(suffixSplit[:-1])
supersuffix = suffixSplit[-1]
for line in file:
  if line[1:9] == "group id":
    fields = line.split(' ')

    key, value = fields[1].split('=')
    if key == "id": id = value[1:-1]

    key, value = fields[3].split('=')
    if key == "z": z = value[1:-1]

  if line[1:10] == "domain id":
    # print line
    fields = line.split(' ')

    key, value = fields[7].split('=')
    if key == "hyperscore": expect = value[1:-1]

#    key, value = fields[4].split('=')
#    if key == "expect": expect = value[1:-1]

    key, value = fields[15].split('=')
    if key == "seq": peptide = value[1:-1]

    print '\t'.join([ prefix, id, db, peptide, z, expect])
  
file.close()
