import sys
import Mass
from Svm import *
from pylab import *
if len(sys.argv) < 2: 
  raise SystemExit, "Usage: %s <serialized-svm> ... " % sys.argv[0]

import retentionRoc

numPlotsMask = len(sys.argv[1:]) * 100
for svmFile in sys.argv[1:]:

  linear = LinearSvm()
  linear.parseFromFile(svmFile)
  linear.populateWeights()
  comp  = linear.weights[0:20]
  # nterm = linear.weights[20:40]
  # cterm = linear.weights[40:60]

  subplot(311)
  subplots_adjust(hspace=0.6)
  plotAminos = [""] + Mass.CanonicalAminos + [""]
  lefts = [ i - 0.325 for i in range(1,len(plotAminos)-1) ] 
  xticks(range(len(plotAminos)), plotAminos)
  #xticks(range(len(plotAminos)), [""] * len(plotAminos) )
  title('Composition')
  plot([0.0,21.0], [0.0, 0.0], 'k-')
  bar(lefts, comp, width=0.75, color='w')
  ylim(-10,25)

#subplot(312)
#xticks(range(len(plotAminos)), plotAminos)
##xticks(range(len(plotAminos)), [""] * len(plotAminos) )
#title('N-term')
#plot([0.0,21.0], [0.0, 0.0], 'k-')
#bar(lefts, nterm, width=0.75, color='w')
#ylim(-10,25)
#
#subplot(313)
#xticks(range(len(plotAminos)), plotAminos)
##xticks(range(len(plotAminos)), [""] * len(plotAminos) )
#title('C-term')
#plot([0.0,21.0], [0.0, 0.0], 'k-')
#bar(lefts, cterm, width=0.75, color='w')
#ylim(-10,25)
#savefig(svmFile.split('.')[0] + ".eps")
#savefig(svmFile.split('.')[0] + ".png")
#hold(False)

#
#krokhinScore = []
#krokhinNterm = []
#for amino in Mass.CanonicalAminos:
#  krokhinScore.append(retentionRoc.aminoScoreDict[amino])
#  krokhinNterm.append(retentionRoc.aminoPositionScoreDict[amino])
#
#subplot(514)
##hold(True)
#xticks(range(len(plotAminos)), plotAminos)
##xticks(range(len(plotAminos)), [""] * len(plotAminos) )
#title('Krokhin Composition')
#plot([0.0,21.0], [0.0, 0.0], 'k-')
#bar(lefts, krokhinScore, width=0.75, color='w')
#ylim(-10,12)
#
#subplot(515)
#xticks(range(len(plotAminos)), plotAminos)
#title('Krokhin N-term')
#plot([0.0,21.0], [0.0, 0.0], 'k-')
#bar(lefts, krokhinNterm, width=0.75, color='w')
#ylim(-10,12)
#
#savefig(svmFile.split('.')[0] + ".eps")
#savefig(svmFile.split('.')[0] + ".png")
#show()
#
#
#
#
#
