#!/usr/bin/python
import getopt, sys, re
from cPickle import *
from MatchCollection import *
from SpectrumCollection import *

if len(sys.argv) < 3:
	print "Usage: %s <psm-filename> <ms2-directory> <psm-collection-filename>" % (sys.argv[0])
	sys.exit(1)

psm = PsmMatchCollection(sys.argv[1])
multiMs2 = MultiMs2SpectrumCollection(sys.argv[2], parsePeaks=False)
psm.addSpectrumInfo(multiMs2)
file = open(sys.argv[3], 'w')
dump(psm, file)
file.close()

