import os, sys

if len(sys.argv) < 2:
  raise SystemExit, "Usage: %s <input-file>" % sys.argv[0]

input = sys.argv[1]

for line in open(input): 

  line = line.rstrip('\n')
  fields = line.split()
  ms2File, sequestParams =  fields[0], fields[1]
  ms2File = os.path.abspath(ms2File)
  sequestParams = os.path.abspath(sequestParams)

  ms2Prefix = os.path.basename(ms2File).split('.')[0]
  dirName = ms2Prefix + ".dir"
  if not os.path.isdir(dirName): os.mkdir(dirName)
  databaseDirName = dirName + "/" + os.path.basename(sequestParams).split('.')[0]
  if not os.path.isdir(databaseDirName): os.mkdir(databaseDirName)

  originalDir = os.getcwd()
  os.chdir(databaseDirName)

  ms2Base = os.path.basename(ms2File)
  if os.path.isfile(ms2Base): os.unlink(ms2Base)
  os.link(ms2File, os.path.basename(ms2File))

  sequestBase = "sequest.params"
  if os.path.isfile(sequestBase): os.unlink(sequestBase)
  os.link(sequestParams, sequestBase)

  print "cd %s ; echo s | submit-search s ; cd - " % databaseDirName

  os.chdir(originalDir)

