# $Revision: 1.5 $
import sys
import Mass
import pickle
import random
import MatchCollection
usage = "Usage: python splitPsm.py <pickled-psm-file> <idx>"
if len(sys.argv) != 3:
  print >>sys.stderr, usage
  sys.exit(1)

psmFile  = open(sys.argv[1])
psmColl  = pickle.load(psmFile)
psmFile.close()
idx = sys.argv[2]

trainPeptides = {}
testPeptides = {}
testPsm  = MatchCollection.PsmMatchCollection()
trainPsm = MatchCollection.PsmMatchCollection()
psmColl["matches"].sort(lambda x,y: cmp(random.random(), random.random()))
TRAIN = 0

for psm in psmColl["matches"]:
  try:
    psm.spectrum.parsePeaks()
  except:
    continue
  if trainPeptides.has_key(psm.peptide): 
    trainPsm["matches"].append(psm)
  elif testPeptides.has_key(psm.peptide): 
    testPsm["matches"].append(psm)
  elif TRAIN == 4 :
    testPsm["matches"].append(psm)
    testPeptides[psm.peptide] = 1
    TRAIN=0
  else:
    trainPsm["matches"].append(psm)
    trainPeptides[psm.peptide] = 1
    TRAIN += 1

testFh = open("test-" + idx + "-" + sys.argv[1], "w")
pickle.dump(testPsm, testFh)
testFh.close()

trainFh = open("train-" + idx + "-" + sys.argv[1], "w")
pickle.dump(trainPsm, trainFh)
trainFh.close()
