#!/usr/bin/python
# $Revision: 1.2 $
import getopt,sys,re,copy
from Spectrum import *
from SpectrumCollection import *
import copy

if __name__ == '__main__':
	if len(sys.argv) < 2:
		print >>sys.stderr, """Usage: %s <ms2-filename-1> ... <ms2-filename-n> > \
<output-ms2-filename>
		CAREFUL WITH THIS CODE. OUTPUTS STRANGE MS2 FILES.
		""" % (sys.argv[0])
		sys.exit(1)

	LARGE = 1000000
	specCollColl = []
	for idx in range(len(sys.argv)-1):
		argv_idx = idx + 1
		specCollColl.append(Ms2SpectrumCollection(sys.argv[argv_idx]))

	new = Ms2SpectrumCollection()
	for idx in range(len(specCollColl)):
		allSpectra = specCollColl[idx].allSpectra()
		for s_idx in range(len(allSpectra)):
			s = allSpectra[s_idx]
			s["first scan"] = s["first scan"] +  LARGE * idx
			new.appendSpectrum(s)
		
	print str(new)
