# $Revision: 1.1 $
import sys
import pickle
import re
import math
usage = "Usage: python subsetPsm.py <pickled-psm> <svm-input-file>"
if len(sys.argv) != 3:
  print >>sys.stderr, usage
  sys.exit(1)

psmColl = pickle.load(open(sys.argv[1]))
inFile = open(sys.argv[2])
for line in inFile:
  line = line.rstrip('\n')
  fields = line.split(',')
  suid = fields[0].split('.')[0]
  suid = suid.replace('-',',',1)[::-1].replace('-',',',1)[::-1]
  spectrum = psmColl.getMatch(suid).spectrum
  spectrum.parsePeaks()
  tic = math.log(spectrum["total energy"])
  numPeaks = len(spectrum["peaks"])
  print line + "," + str(tic) + "," + str(numPeaks)
