#--------------------------------------------------------
# $Revision: 1.1 $
#--------------------------------------------------------

#--------------------------------------------------------
import composite, preproc, time, datafunc, svm, assess
import modelSelection

DataSet = datafunc.SparseCDataSet
trainData = DataSet(train, idColumn = 0, labelsColumn = 1) 

#------------
# uncomment the following if you want to rescale the data
# rs = preproc.Rescale()
# rs.train(trainData)
#------------

svmSelect = modelSelection.SVMselect()
svmSelect.train(trainData)

#--------
# This is where PyML stores the best classifier
#--------
results = svmSelect.classifier.test(testData)	
results.computeStats()

print >>sys.stderr, "Best ROC Area for best svm = %.3f" \
    %  float(results.roc)
print >>sys.stderr, "Best BSR Area for best svm = %.3f" \
    % results.balancedSuccessRate

