#!/usr/bin/python
import re
from MatchCollection import *

if len(sys.argv) < 2:
	raise SystemExit, "Usage: %s <psm-file>" % sys.argv[0]

psmFileName = sys.argv[1]
psmColl = PsmMatchCollection(psmFileName)

algCount = {}
for algorithm in ("gutentag", "inspect", "pepnovo", "sequest", "tandem",\
		"probid", "ommsa", "lutefisk"):
	for match in psmColl.getMatches():
		if re.search(algorithm, match.algorithm) != None:
			if algCount.has_key(algorithm): algCount[algorithm]+=1
			else: algCount[algorithm] = 1

for alg in algCount.keys():
	print alg, "\t", algCount[alg]

