#!/usr/bin/python
#$Revision: 1.3 $
import getopt,sys,re,copy,os.path
import Hit
from HitCollection import *

if __name__ == '__main__':
	if len(sys.argv) < 3:
		print >>sys.stderr, "Usage: %s <DTASelect filename> <SEQUEST psm file>"  % (sys.argv[0])
		sys.exit(1)

	my_dta = DtaSelectHitCollection(sys.argv[1])
	hits = my_dta.allHits()
	validPeptides = {}
	for hit in hits:
		for match in hit["matches"]:
			validPeptides[match["peptide"]]=1
	
	psm = open(sys.argv[2], 'r')
	for line in psm:
		fields = line.split('\t')
		if validPeptides.has_key(fields[3]):
			print line,

#	hit = dta.nextHit()
#	for i in dta["headerLines"]:
#		print i, 
#
#	list = []
#	while hit != None:
#		list.append(hit)
#		hit = dta.nextHit()
#		
#	for hit in list:	
#		for i in hit["allLines"]:
#			print i,
#
#	for i in dta["footerLines"]:
#		print i,
#	
#
