#!/usr/bin/python
from cPickle import *
import sys, re, os
import Model

if len(sys.argv) < 2:
	raise SystemExit, "Usage: %s <pair-adj-model1>" % sys.argv[0]


model1 = load(open(sys.argv[1]))

m1c = {}
for i in model1.ctermProbDict.keys():
  m1c[i] = model1.ctermProbDict[i] / sum(model1.ctermProbDict.values())

m1n = {}
for i in model1.ntermProbDict.keys():
  m1n[i] = model1.ntermProbDict[i] / sum(model1.ntermProbDict.values())

c = open("%s.cterm" % sys.argv[1], 'w') 
for key in model1.ctermProbDict.keys():
  c.write("%s\t%s\n" % ( key, m1c[key] ))
c.close()

n = open("%s.nterm" % sys.argv[1], 'w') 
for key in model1.ntermProbDict.keys():
  n.write("%s\t%s\n" % ( key, m1n[key] ))
n.close()

i = open("%s.adjust" % sys.argv[1], 'w') 
binSums = model1.precursorMzModel.binSums
for idx in range(len(binSums)):
  i.write("%.2f\t%.3f\n" % ( Model.BIN_SIZE  * idx , binSums[idx] ))
i.close()


