#!/usr/bin/python
#-----------------
# $Revision: 1.2 $
#-----------------
import sys
import os
import Spectrum
import SpectrumCollection

#-------
# Main
#-------
if __name__ == '__main__':

  usage = """Usage: %s <peptide>  >  <ion-file>
    Predicts ions for peptide at charge state of +2.
  """ % sys.argv[0]

  if len(sys.argv) < 2: 
    raise SystemExit, usage

  peptide = sys.argv[1]

  annotatedObserved = Spectrum.RichSpectrum()
  annotatedObserved.addPeptideIons(peptide, neutrals=True, multiCharge=True)
  for peak in annotatedObserved["richPeaks"]:
    print str(peak)
