# $Revision: 1.2 $
import sys
import Mass
import pickle
import random
import MatchCollection
usage = "Usage: python splitPsm.py <pickled-psm-file> <number> <charge>"
if len(sys.argv) != 4:
  print >>sys.stderr, usage
  sys.exit(1)

psmFile  = open(sys.argv[1])
psmColl  = pickle.load(psmFile)
psmFile.close()
number = int(sys.argv[2])
charge = int(sys.argv[3])

matches = filter(lambda x: x.charge == charge, psmColl["matches"])
random.shuffle(matches)
subsetPsm = MatchCollection.PsmMatchCollection()

for idx in range(number):
  subsetPsm["matches"].append(matches[idx])

fh = open("subset-" + str(number) + "-" + sys.argv[1], "w")
pickle.dump(subsetPsm, fh)
fh.close()
